# $Revision: 1.10 $, $Date: 2008/07/27 22:51:32 $
#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Date
%define		pnam	Japanese-Holiday
Summary:	Date::Japanese::Holiday - calculate dates in the Japanese-Holiday calendar
Summary(pl.UTF-8):	Date::Japanese::Holiday - obliczanie daty wg japońskiego kalendarza świąt
Name:		perl-Date-Japanese-Holiday
Version:	0.05
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6b0bed78ad2127afe06f01f346caa36e
BuildRequires:	perl-Date-Simple
BuildRequires:	perl-Time-modules
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Date::Japanese::Holiday handles conversion between Japanese Holiday and
Gregorian calendar.

%description -l pl.UTF-8
Date::Japanese::Holiday obsługuje konwersję dat pomiędzy japońskimi
swiętami a kalendarzem gregoriańskim.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Date/Japanese/Holiday.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Date-Japanese-Holiday.spec,v $
Revision 1.10  2008/07/27 22:51:32  arekm
- release 2

Revision 1.9  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.7  2007/01/16 21:40:29  glen
- fix duplicate %descriptions

Revision 1.6  2004/11/03 22:30:18  paladine
- formatting

Revision 1.5  2004/06/05 18:10:38  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.4  2004/04/19 22:22:14  ankry
- license/description fixes

Revision 1.3  2004/04/11 23:11:07  qboosh
- cosmetics, doc

Revision 1.2  2004/04/11 21:48:36  agaran
- noarch, pl descr, converted perl() in BR to package names

Revision 1.1  2004/04/11 16:58:08  agaran
new spec
